body {font-family: Arial, Helvetica, sans-serif;}
* {box-sizing: border-box;}

/* Button used to open the chat form - fixed at the bottom of the page */
.open-button {
  background-color: #A6D202;
  color: white;
  padding: 4px 8px;
  border: none;
  cursor: pointer;
  opacity: 0.8;
  position: fixed;
  bottom: 23px;
  right: 20px;
  width: 120px;
  border-radius: 50px;
  vertical-align: middle;
  z-index: 9999;
}

/* The popup chat - hidden by default */
.chat-popup {
  display: none;
  position: fixed;
  bottom: 86px;
  right: 15px;
  border: 3px solid #B7DA34;
  z-index: 10000;
  border-radius: 10px;
}

/* Add styles to the form container */
.form-container {
  max-width: 320px;
  padding: 10px;
  background-color: #f1f1f1;
  opacity: 0.95;
  border-radius: 6px;
}

/* Full-width textarea */
.form-container textarea {
  width: 100%;
  padding: 15px;
  margin: 5px 0 22px 0;
  border: none;
  background: #f1f1f1;
  resize: none;
  min-height: 200px;
}

/* When the textarea gets focus, do something */
.form-container textarea:focus {
  background-color: #ddd;
  outline: none;
}

/* Set a style for the submit/send button */
.form-container .btn {
  background-color: #C3E901;
  color: transparent;
  padding: 0;
  border: none;
  cursor: pointer;
  width: 34px;
  height: 34px;
  margin-bottom:6px;
  opacity: 0.8;
  background-image:url('http://www.chat.erikai.net/img/ch/send.svg');
  background-size: 34px 34px;
}

/* Add a red background color to the cancel button */
.form-container .cancel {
  background-color: #990000;
  color: white;
  float: top;
  float: right;
  border: none;
  cursor: pointer;
  width: 34px;
  height: 34px;
  border-radius: 4px;
  background-image:url('http://www.chat.erikai.net/img/ch/close.svg');
  background-size: 34px 34px;
}

/* Add some hover effects to buttons */
.form-container .btn:hover, .open-button:hover {
  opacity: 1;
}

/* Create Puki Icon */
.puki{
  background-color: #A6D202;
  vertical-align: middle;
  display: inline-block;
  background-image:url('http://www.chat.erikai.net/img/ch/puki.svg');
  background-size: 48px;
  border-radius: 25px;
  width:48px;
  height:48px;
  float: right;
}

.chatWord{
  display: inline-block;
  padding-top: 14px;
  vertical-align: middle;
  color: #435907;
}

.placeChatIcon{
  background-color: #A6D202;
  vertical-align: middle;
  display: inline-block;
  background-size: 48px;
  border-radius: 25px;
  width:48px;
  height:48px;
  float: left;
}

.och{
left;-24px;
  display: inline-block;
  background-size: 48px 48px;
  background-image:url('http://www.chat.erikai.net/img/ch/och.svg');
  width:48px;
  height:48px;
  padding:0;
  margin:0;
}

.gch{
  display: inline-block;
  background-size: 48px 48px;
  background-image:url('http://www.chat.erikai.net/img/ch/gch.svg');
  width:48px;
  height:48px;
  padding:0;
  margin:0;
}

.chatarea{
  background-color: #FFFFFF;
  width:300px;
  height:280px;
  margin-bottom:6px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  overflow-y: scroll;
  overflow-x: hidden;
  position:relative;
}

.typing{
  position:absolute;
  top:230px;
  left:29px;
  z-index:10;
}

/* CSS talk bubble */
.talk-bubble {
	margin: 5px;
	display: inline-block;
	position: relative;
	width: 80%;
	height: auto;
	background-color: green;
	font: 14px Arial, sans-serif;
}
.border{
  border: 8px solid #666;
}
.round{
  border-radius: 5px;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;

}

/* Right triangle placed top left flush. */
.tri-right.border.left-top:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: -40px;
	right: auto;
  top: -8px;
	bottom: auto;
	border: 32px solid;
	border-color: #666 transparent transparent transparent;
}
.tri-right.left-top:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: -20px;
	right: auto;
  top: 0px;
	bottom: auto;
	border: 22px solid;
	border-color: green transparent transparent transparent;
}

/* Right triangle, left side slightly down */
.tri-right.border.left-in:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: -40px;
	right: auto;
  top: 10px; /* estaba en 30 */
	bottom: auto;
	border: 20px solid;
	border-color: #666 #666 transparent transparent;
}
.tri-right.left-in:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: -20px;
	right: auto;
  top: 18px; /* 38 */
	bottom: auto;
	border: 12px solid;
	border-color: #FEE9B7 #FEE9B7 transparent transparent;
}

/*Right triangle, placed bottom left side slightly in*/
.tri-right.border.btm-left:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
	left: -8px;
  right: auto;
  top: auto;
	bottom: -40px;
	border: 32px solid;
	border-color: transparent transparent transparent #666;
}
.tri-right.btm-left:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
	left: 0px;
  right: auto;
  top: auto;
	bottom: -20px;
	border: 22px solid;
	border-color: transparent transparent transparent green ;
}

/*Right triangle, placed bottom left side slightly in*/
.tri-right.border.btm-left-in:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
	left: 30px;
  right: auto;
  top: auto;
	bottom: -40px;
	border: 20px solid;
	border-color: #666 transparent transparent #666;
}
.tri-right.btm-left-in:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
	left: 38px;
  right: auto;
  top: auto;
	bottom: -20px;
	border: 12px solid;
	border-color: green transparent transparent green ;
}

/*Right triangle, placed bottom right side slightly in*/
.tri-right.border.btm-right-in:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: 30px;
	bottom: -40px;
	border: 20px solid;
	border-color: #666 #666 transparent transparent;
}
.tri-right.btm-right-in:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: 38px;
	bottom: -20px;
	border: 12px solid;
	border-color: green green transparent transparent;
}
/*
	left: -8px;
  right: auto;
  top: auto;
	bottom: -40px;
	border: 32px solid;
	border-color: transparent transparent transparent #666;
	left: 0px;
  right: auto;
  top: auto;
	bottom: -20px;
	border: 22px solid;
	border-color: transparent transparent transparent green ;

/*Right triangle, placed bottom right side slightly in*/
.tri-right.border.btm-right:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: -8px;
	bottom: -40px;
	border: 20px solid;
	border-color: #666 #666 transparent transparent;
}
.tri-right.btm-right:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: 0px;
	bottom: -20px;
	border: 12px solid;
	border-color: green green transparent transparent;
}

/* Right triangle, right side slightly down*/
.tri-right.border.right-in:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: -40px;
  top: 10px; /* 30 */
	bottom: auto;
	border: 20px solid;
	border-color: #666 transparent transparent #666;
}
.tri-right.right-in:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: -20px;
  top: 18px; /* 38 */
	bottom: auto;
	border: 12px solid;
	border-color: #E3E7C0 transparent transparent #E3E7C0;
}

/* Right triangle placed top right flush. */
.tri-right.border.right-top:before {
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: -40px;
  top: -8px;
	bottom: auto;
	border: 32px solid;
	border-color: #666 transparent transparent transparent;
}
.tri-right.right-top:after{
	content: ' ';
	position: absolute;
	width: 0;
	height: 0;
  left: auto;
	right: -20px;
  top: 0px;
	bottom: auto;
	border: 20px solid;
	border-color: green transparent transparent green ;
}

/* talk bubble contents */
.talktext{
  padding: 1em;
	text-align: left;
  line-height: 1.5em;
}
.talktext p{
  /* remove webkit p margins */
  -webkit-margin-before: 0em;
  -webkit-margin-after: 0em;
}